SwiftXCTestBinary (Gradle API 7.6.3)

Package org.gradle.nativeplatform.test.xctest

## Interface SwiftXCTestBinary

- All Superinterfaces:
    `ComponentWithDependencies`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `Named`, `SoftwareComponent`, `SwiftBinary`, `TestComponent`
  All Known Subinterfaces:
    `SwiftXCTestBundle`, `SwiftXCTestExecutable`

      public interface SwiftXCTestBinary
      extends SwiftBinary, TestComponent

  An test binary built from Swift source.
  Since:
    4.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<RegularFile>` | `getExecutableFile()` | Returns the executable test file for this binary.
    `Provider<Directory>` | `getInstallDirectory()` | Returns the installation directory for this binary.
    `Provider<? extends AbstractLinkTask>` | `getLinkTask()` | Returns the link task for this binary.
    `Provider<RegularFile>` | `getRunScriptFile()` | Returns the script for running this binary.
    `Provider<? extends XCTest>` | `getRunTask()` | Returns the task that runs the tests for this component.

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSwiftSource, getTargetPlatform, isTestable`

- - ### Method Detail

    - #### getExecutableFile

          Provider<RegularFile> getExecutableFile()

      Returns the executable test file for this binary.
      Since:
        4.5

    - #### getInstallDirectory

          Provider<Directory> getInstallDirectory()

      Returns the installation directory for this binary.
      Since:
        4.4

    - #### getRunScriptFile

          Provider<RegularFile> getRunScriptFile()

      Returns the script for running this binary.
      Since:
        4.4

    - #### getLinkTask

          Provider<? extends AbstractLinkTask> getLinkTask()

      Returns the link task for this binary.
      Since:
        4.5

    - #### getRunTask

          Provider<? extends XCTest> getRunTask()

      Returns the task that runs the tests for this component.
      Specified by:
        `getRunTask` in interface `TestComponent`